dpkg-scansources(1)

NOMBRE
dpkg-scansources - Creación de ficheros de índice «Sources»

SINOPSIS
dpkg-scansources [option...] binary-dir [override-file [path-prefix]] > Sources

DESCRIPCIÓN
dpkg-scansources busca ficheros .dsc en el directorio-binario dado. Estos sirven para crear un índice de fuentes de Debian, que se muestra por la salida estándar.

Si se proporciona un fichero-override, se usará para fijar prioridades en el índice resultante y sobreescribir el campo del mantenedor dado en los ficheros .dsc. El fichero se puede comprimir. Consulte deb-override(5) para conocer más acerca del formato de este fichero. NB: Debido a que el fichero «override» se indexa con el paquetes binario, y no con las fuentes, encontramos un pequeño problema. La implementación actual usa la prioridad más alta entre los paquetes binarios producidos por un fichero .dsc, para así obtener la prioridad del paquete fuente, así como la entrada «override» del primer paquete binario listado en el fichero .dsc que modifica la información sobre el mantenedor. Esto puede cambiar en un futuro.

Si se proporciona prefijo-ruta, se antepondrá al campo del directorio en el índice de fuentes generado. Habitualmente, se usa para hacer que el campo de directorio contenga la ruta desde el directorio superior del archivo de Debian.

Nota: Si desea acceder al fichero generado «Sources» mediante apt(8), es posible que necesite comprimir el fichero con gzip(1), generando así un fichero «Sources.gz». apt ignora ficheros «Sources» descomprimidos, a excepción de ficheros locales (por ejemplo, file:// sources).

OPCIONES

-n, --no-sort
    Evita ordenar los registros del índice de fuentes. Habitualmente, se ordena por el nombre de los paquetes fuente.

-e, --extra-override fichero
Analiza el fichero para encontrar alternativas adicionales (el fichero
    puede estar descomprimido). Consulte deb-extra-override(5) para más información acerca del formato.

-s, --source-override fichero
    Usa el fichero como el fichero «override» de las fuentes. Por omisión es el nombre del fichero «override» con la extensión .src que definió anteriormente.

    El fichero «override» de las fuentes está en un formato distinto del fichero «override» de los paquetes binarios. Contiene solamente dos campos separados por espacios en blanco, siendo el primer campo el nombre del paquete fuente y el segundo el de sección. Se omiten las líneas en blanco y de comentarios. Si un paquete aparece en ambos ficheros, el fichero «override» de las fuentes tiene preferencia.

--debug
    Activa la depuración.

--help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

VÉASE TAMBIÉN
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

AUTOR
Roderick Schertler <roderick@argon.org>

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.